## cl-asdf 1.704

=== doc/Makefile ===
user=frideau
website:=${user}@common-lisp.net:/project/asdf/public_html/
output = asdf.html asdf asdf.pdf asdf.info
webfiles = index.html .htaccess style.css cclan.png lisp-logo120x80.png favicon.ico ${output}
intermediate = asdf.cps asdf.log asdf.vr asdf.aux asdf.fn asdf.toc asdf.vrs \
	asdf.cp asdf.fns asdf.ky asdf.pg asdf.tp

all:	asdf.html asdf.info asdf.pdf manual-html

manual-html: asdf.texinfo
	makeinfo --html asdf.texinfo

asdf.html: asdf.texinfo
	makeinfo --html --no-split --no-headers -o asdf.html asdf.texinfo

asdf.info: asdf.texinfo
	makeinfo asdf.texinfo

asdf.pdf: asdf.texinfo
	texi2pdf asdf.texinfo

website: all
	rsync -av ${webfiles} ${website}

.PHONY: clean veryclean manual-html
clean:
	rm -f ${intermediate}
veryclean: clean
	rm -f asdf.html asdf.pdf asdf.info
	rm -rf asdf/

## cl-asdf 2.008

=== doc/Makefile ===
--- 
+++ 
@@ -27,4 +27,4 @@
 	rm -f ${intermediate}
 veryclean: clean
 	rm -f asdf.html asdf.pdf asdf.info
-	rm -rf asdf/
+	rm -rf asdf/ asdf.t2d/

=== debian/changelog ===
cl-asdf (2:2.008-1) unstable; urgency=low

  * new upstream: removes unwanted exports,
    plays nicer with sbcl, cmucl, old clisp.

 -- Francois-Rene Rideau <fare@tunes.org>  Fri, 10 Sep 2010 17:16:06 -0400

cl-asdf (2:2.007-1) unstable; urgency=low

  * new upstream, fixes lp#623992 introduced in 2.006, allows upgrade on SBCL.

 -- Francois-Rene Rideau <fare@tunes.org>  Wed, 25 Aug 2010 23:22:13 -0400

cl-asdf (2:2.006-1) unstable; urgency=low

  * new upstream, with bug fixes and API changes.

 -- Francois-Rene Rideau <fare@tunes.org>  Tue, 24 Aug 2010 18:43:48 -0400

cl-asdf (2:2.005-1) unstable; urgency=low

  * New upstream.
  * Don't use dh-lisp

 -- Francois-Rene Rideau <fare@tunes.org>  Tue, 17 Aug 2010 13:57:04 -0400

cl-asdf (2:2.004-1) unstable; urgency=low

  * Imported new upstream, try not to diverge from it.
  * Remove cl-cclan which was removed from the upstream repository.
  * Updated Debian configuration and documentation.

 -- Francois-Rene Rideau <fare@tunes.org>  Wed, 14 Jul 2010 14:06:50 -0400

cl-asdf (2:1.704-1) unstable; urgency=low

  * Imported new upstream.
  * We now have a makefile for Documentation, use it
  * Add debian/source/format for the stupid quilt mess

 -- Peter Van Eynde <pvaneynd@debian.org>  Mon, 19 Apr 2010 21:37:48 +0200

cl-asdf (2:1.627-1) unstable; urgency=low

  * New upstream release.
  * Added dh_installinfo for info files. (Closes: #560290)
  * Incorporated run-shell-command patch for LispWorks. Thanks tianchun!
    (Closes: #457919)
  * Added info that this version breaks clc
  * Fix conflict with clc
  * Small patch to make :implementation-type work for clc

 -- Peter Van Eynde <pvaneynd@debian.org>  Thu, 25 Feb 2010 18:36:16 +0100

cl-asdf (2:1.502-1) unstable; urgency=low

  * new upstream, back to version numbers.
  * added /etc/common-lisp/source-registry.conf.d/ directory
  * Added README's to documentation
  * it's debian/*.dirs not debian/*.dir\!
  * Updated standard version, no real changes
  * Added lintian overrides for cl-cclan

 -- Peter Van Eynde <pvaneynd@debian.org>  Mon, 01 Feb 2010 07:31:06 +0100

cl-asdf (1:20091221-1) unstable; urgency=low

  * New upstream, version 1.374

 -- Peter Van Eynde <pvaneynd@debian.org>  Thu, 31 Dec 2009 08:36:15 +0100

cl-asdf (1:20090819-3) unstable; urgency=low

  * Fixed the loop construct again. (Closes: #546205)

 -- Peter Van Eynde <pvaneynd@debian.org>  Sat, 12 Sep 2009 10:08:23 +0100

cl-asdf (1:20090819-2) unstable; urgency=low

  * Fix the loop contruct. This makes ecl fail. (Closes: #545768)

 -- Peter Van Eynde <pvaneynd@debian.org>  Thu, 10 Sep 2009 14:20:11 +0100

cl-asdf (1:20090819-1) unstable; urgency=low

  * New upstream, New homepage and new upstream repository.
  * changed section to lisp
  * now using debhelper v7
  * added debian/README.building
  * remove cvs2cl from dependencies
  * remove upstream ChangeLog
  * added dummy watch file
  * added ${misc:Depends} to cl-asdf Depends
  * Updated Standards-Version no real changes
  * fixed Section of cl-asdf.doc-base

 -- Peter Van Eynde <pvaneynd@debian.org>  Tue, 01 Sep 2009 08:20:28 +0100

cl-asdf (1.111-1) unstable; urgency=low

  * New upstream release.
  * Updated standard version without real changes
  * Corrected Vcs-Bzr field
  * Move to using dh-lisp
  * Fixed Vcs-Git field
  * Changed to group maintanance
  * recreated upstream changelog with git2cl
  * Changed directory, so we depend on a newer clc

 -- Peter Van Eynde <pvaneynd@debian.org>  Sat, 09 Feb 2008 10:07:21 +0100

cl-asdf (1.109-2) unstable; urgency=low

  * stop trying to dump the package, use the package name instead.
    (Closes: #436129)

 -- Peter Van Eynde <pvaneynd@debian.org>  Thu, 27 Sep 2007 05:42:20 +0200

cl-asdf (1.109-1) unstable; urgency=low

  * New upstream. Major changes:
     + main change is the addition of system-relative-pathname function. This takes a
       system name and a partial pathname and combines them to return a new pathname
       _relative_ to the system. This is exported and lightly documented.
     + this patch also updates preference-file-for-system/operation in an effort
       to prevent it from being confused by *default-pathname-defaults* that include
       a specific name and type.
     + Removes inline component methods more carefully (and, I believe, correctly!). Helps keep LispWorks happy.
     + Reworked asdf tests to make them more robust and perhaps more flexible too.
  * Now use texlive to build.

 -- Peter Van Eynde <pvaneynd@debian.org>  Sun, 16 Sep 2007 14:45:57 +0200

cl-asdf (1.107-1) unstable; urgency=low

  * New upstream release, adding the system-relative-pathname
    function.

 -- Peter Van Eynde <pvaneynd@debian.org>  Sun, 08 Apr 2007 23:05:18 +0200

cl-asdf (1.106-1) experimental; urgency=low

  * New upstream. Major changes:

      + Minor patch in class-for-type that evaluates only *package* at read
   time rather than (package-name *package*); this keeps case sensitive Lisps
   happy all the time and keeps case insensitive lisps happily insensitive.

      + A patch from Richard Kreuter that allows pathname defaulting to work
   better with *load-truename* and *default-pathname-defaults*; this makes it
   easier to work with defsystems in the REPL.

 -- Peter Van Eynde <pvaneynd@debian.org>  Wed, 14 Mar 2007 09:18:25 +0100

cl-asdf (1.104-1) experimental; urgency=low

  * Added XS-X-Vcs-Darcs header
  * modified S-X-Vcs-Darcs to XS-Vcs-Darcs field
  * New upstream. Major changes:
     + add a better docstring for component-depends-on (via #lisp and Robert
     Goldman)
     + ASDF now sends output to *standard-output* (thanks to Richard M.
     Kreuter).
     + Slightly better SBCL_HOME treatement for SBCL.
  * upload to experimental during the freeze

 -- Peter Van Eynde <pvaneynd@debian.org>  Tue,  6 Feb 2007 08:21:06 +0100

cl-asdf (1.101-1) unstable; urgency=low

  * New upstream version.

 -- Peter Van Eynde <pvaneynd@debian.org>  Wed, 20 Sep 2006 07:08:57 +0200



## cl-asdf 2.011

=== debian/changelog ===
cl-asdf (2:2.011-1) unstable; urgency=low

  * Mostly same as 2.010.9: several minor tweaks and bug fixes since 2.010.
  * Will be happier: users of implementations ACL, GCL; users of libraries
    CL-Launch, XCVB; future former users of ASDF-Binary-Locations; people
    with missing dependencies (in lieu of error-in-error); people extending
    ASDF (notably Stelian Ionescu), who'd like to use keywords to name
    component classes.

 -- Francois-Rene Rideau <fare@tunes.org>  Sun, 28 Nov 2010 13:21:34 -0500

cl-asdf (2:2.010-1) unstable; urgency=low

  * same as 2.146

 -- Francois-Rene Rideau <fare@tunes.org>  Thu, 28 Oct 2010 15:58:36 -0700

cl-asdf (2:2.009-1) unstable; urgency=low

  * new upstream release 2.009, identical to 2.134 from master.

 -- Francois-Rene Rideau <fare@tunes.org>  Wed, 06 Oct 2010 13:26:36 -0400

=== debian/control ===
Source: cl-asdf
Section: lisp
Priority: optional
Maintainer: Debian Common Lisp Team <pkg-common-lisp-devel@lists.alioth.debian.org>
Uploaders: Peter Van Eynde <pvaneynd@debian.org>,
  Milan Zamazal <pdm@zamazal.org>,
  Francois-Rene Rideau <fare@tunes.org>
Build-Depends: debhelper (>> 7)
Build-Depends-Indep: texinfo, texlive-extra-utils, texlive, texlive-generic-recommended
Standards-Version: 3.9.1
Homepage: http://common-lisp.net/project/asdf/
Vcs-Git: git://git.debian.org/git/pkg-common-lisp/cl-asdf.git

Package: cl-asdf
Architecture: all
Recommends: common-lisp-controller, sbcl | lisp-compiler
Replaces: sbcl-common (<= 1:0.9.13.0-2)
Conflicts: sbcl-common (<= 1:0.9.13.0-2), common-lisp-controller (<< 7.3)
Breaks: common-lisp-controller (<< 7.3)
Depends: ${misc:Depends}
Description: Another System Definition Facility
 asdf provides a "make" type functions for Common Lisp software.
 It drives compilation and dynamic loading for complex Lisp systems
 with multiple modules and files, and is the de facto standard used
 by free software written in Common Lisp.

## cl-asdf 2.014.3

=== Makefile ===
system	 	:= "asdf"
#user 		:= $(shell basename `echo "$home"`)
user := "frideau"
webhome_private := $(user)@common-lisp.net:/project/asdf/public_html/
webhome_public	:= "http://common-lisp.net/project/asdf/"
clnet_home      := "/project/asdf/public_html/"

sourceDirectory := $(shell pwd)

lisps ?= ccl clisp sbcl ecl allegro abcl scl
## not tested by me: allegromodern cmucl lispworks
## FAIL: gclcvs (condition handling)
## maybe supported by asdf, not supported yet by our tests: cormancl mcl genera

lisp ?= sbcl

# website, tag, install

install: archive-copy

archive:
	sbcl --userinit /dev/null --sysinit /dev/null --load bin/make-helper.lisp \
		--eval "(rewrite-license)" --eval "(quit)"
	bin/make-tarball

archive-copy: archive
	git checkout release
	bin/rsync-cp tmp/asdf*.tar.gz $(webhome_private)/archives
	bin/link-tarball $(clnet_home) $(user)
	bin/rsync-cp tmp/asdf.lisp $(webhome_private)
	${MAKE} push

push:
	git status
	git push --tags cl.net release master
	git push --tags xcvb release master
	git fetch
	git status

website:
	make -C doc website

clean_dirs = $(sourceDirectory)
clean_extensions = fasl dfsl cfsl fasl fas lib dx32fsl lx64fsl lx32fsl o bak x86f

clean:
	@for dir in $(clean_dirs); do \
	     if test -d $$dir; then \
	     	 echo Cleaning $$dir; \
		 for ext in $(clean_extensions); do \
		     find $$dir \( -name "*.$$ext" \) \
	     	    -and -not -path \""*/.git/*"\" \
		     	  -and -not -path \""*/_darcs/*"\" \
	     		  -and -not -path \""*/tags/*"\" -print -delete; \
		done; \
	     fi; \
	done
	rm -rf tmp/ LICENSE test/try-reloading-dependency.asd
	make -C doc clean

mrproper: clean
	rm -rf .pc/ build-stamp debian/patches/ debian/debhelper.log debian/cl-asdf/ # debian crap

test-upgrade:
	if [ -f /usr/lib/sbcl/sbcl-dist.core ] ; then \
		SBCL="/usr/bin/sbcl --core /usr/lib/sbcl/sbcl-dist.core" ; fi ; \
	for tag in 1.37 1.97 1.369 `git tag -l '2.0??'` ; do \
	  echo "Testing upgrade from ASDF $${tag}" ; \
	  git show $${tag}:asdf.lisp > tmp/asdf-$${tag}.lisp ; \
	  $${SBCL:-sbcl} --noinform --eval \
	'(progn (handler-bind ((t #'"'"'muffle-warning)) (load "tmp/asdf-'$${tag}'.lisp")) (handler-bind ((sb-kernel:redefinition-warning #'"'"'muffle-warning)((or warning error) (lambda (c) (format t "~A~%" c) #|(defparameter *c* c) (break)|# (sb-ext:quit :unix-status 1)))) (load "asdf.lisp") (format t "Successfully upgraded from '$${tag}'~%") (sb-ext:quit :unix-status 0)))' || \
	{ echo "FAILED" ; exit 1 ; } ; done

test-forward-references:
	if [ -f /usr/lib/sbcl/sbcl-dist.core ] ; then SBCL="/usr/bin/sbcl --core /usr/lib/sbcl/sbcl-dist.core" ; fi ; $${SBCL:-sbcl} --noinform --load ~/cl/asdf/asdf.lisp --eval '(sb-ext:quit)' 2>&1 | cmp - /dev/null

do-test:
	@cd test; make clean;./run-tests.sh ${lisp} ${test-glob}

test: do-test test-forward-references

test-all: test-forward-references test-upgrade
	@for lisp in ${lisps} ; do \
		make do-test lisp=$$lisp || exit 1 ; \
	done

debian-package: mrproper
	RELEASE="$$(git tag -l '2.0[0-9][0-9]' | tail -n 1)" ; \
	git-buildpackage --git-debian-branch=release --git-upstream-branch=$$RELEASE --git-tag --git-retag

# Replace SBCL's ASDF with the current one.
# not recommended: just use (asdf:load-system :asdf)
replace-sbcl-asdf:
	sbcl --eval '(compile-file "asdf.lisp" :output-file (format nil "~Aasdf/asdf.fasl" (sb-int:sbcl-homedir-pathname)))' --eval '(quit)'

# Replace CCL's ASDF with the current one.
# not recommended: just use (asdf:load-system :asdf)
replace-ccl-asdf:
	ccl --eval '(progn(compile-file "asdf.lisp" :output-file (format nil "~Atools/asdf.lx64fsl" (ccl::ccl-directory)))(quit))'

WRONGFUL_TAGS := 1.1720 README RELEASE STABLE
# Delete wrongful tags from local repository
fix-local-git-tags:
	for i in ${WRONGFUL_TAGS} ; do git tag -d $$i ; done

# Delete wrongful tags from remote repository
fix-remote-git-tags:
	for i in ${WRONGFUL_TAGS} ; do git push $${REMOTE:-cl.net} :refs/tags/$$i ; done


.PHONY: install archive archive-copy push website clean mrproper \
	upgrade-test test-forward-references test do-test test-all \
	debian-package \
	replace-sbcl-asdf replace-ccl-asdf \
	fix-local-git-tags fix-remote-git-tags

=== debian/changelog ===
cl-asdf (2:2.014.3-1) unstable; urgency=low

  * yet another debian package attempt
  * update to 2.014.3, workaround for ABCL make-pathname bug (same as on XCL).

 -- Francois-Rene Rideau <fare@tunes.org>  Mon, 04 Apr 2011 23:27:30 -0400

cl-asdf (2:2.014.2-1) unstable; urgency=low

  * yet another attempt at a debian package.
  * update to 2.014.2, adds XCL support.

 -- Francois-Rene Rideau <fare@tunes.org>  Thu, 31 Mar 2011 14:08:09 -0400

cl-asdf (2:2.014.1-1) unstable; urgency=low

  * new attempt for a debian package.
  * while I'm at it, update to 2.014.1 which will make CMUCL happy.

 -- Francois-Rene Rideau <fare@tunes.org>  Tue, 29 Mar 2011 18:19:19 -0400

cl-asdf (2:2.014-3) unstable; urgency=low

  * another attempt with my new GPG key

 -- Francois-Rene Rideau <fare@tunes.org>  Sun, 27 Mar 2011 19:33:43 -0400

cl-asdf (2:2.014-2) unstable; urgency=low

  * tweak Makefile for debian packaging.

 -- Francois-Rene Rideau <fare@tunes.org>  Sun, 27 Mar 2011 17:17:15 -0400

cl-asdf (2:2.014-1) unstable; urgency=low

  * Blessing 2.013.7 as 2.014.
  * Fixed bug preventing upgrade from 2.000 to 2.008 (test added)
  * Better support for URL pathnames on SCL (test added)
  * Robustified defsystem-depends-on
  * Cosmetic changes:
    * better more portably readable error messages.
    * remove forward references, again (test added)
    * canonicalize system names earlier (slight robustness improvement)

 -- Francois-Rene Rideau <fare@tunes.org>  Sun, 27 Mar 2011 16:45:58 -0400

cl-asdf (2:2.013.3-1) unstable; urgency=low

  * Packaging 2.013.3 because 2.013 had important issues.
  * Fix important upgradability issue with 2.013 (unable to upgrade from
  versions 2.00[0-8] that have a separate ASDF-UTILITIES)
  * Fix minor verbosity issue (forward reference makes sbcl noisy
  when loading asdf.lisp directly as does quicklisp.)
  * Also, enhance support for SCL.

 -- Francois-Rene Rideau <fare@tunes.org>  Mon, 21 Mar 2011 16:24:27 -0400

cl-asdf (2:2.013-1) unstable; urgency=low

  * Blessing 2.012.12: many small improvements since 2.012.
  * Fixes and cleanups for CLISP, ECL, SBCL.
  * Added support for two legacy platforms: (R)MCL, Genera
  * Cleanup features: now using #+asdf-unix and #+asdf-window
  * Many cleanups and improvements regarding our portable pathname layer
  * Fixes a regression in source-registry scanning from 2.011.4
  * Remember *source-registry-parameter* and *output-translations-parameter*
  * Export and document coerce-pathname (f.k.a merge-component-name-type)
  * allow description and long-description for all components
  * Several documentation updates

 -- Francois-Rene Rideau <fare@tunes.org>  Sat, 19 Mar 2011 20:01:34 -0400

cl-asdf (2:2.012-1) unstable; urgency=low

  * Blessing 2.011.9: more fixes to corner cases.
  * Added :here directive to pathname DSL,
    robustified ECL support,
    fixed infinite loop when filesystem clock is in the future,
    extended the AOT DSL and made it more futureproof,
    fixed how clear-system interacts with map-systems,
    fixed use of directory under old SBCLs,
    fixed run-shell-command status and version string under clisp,
    fixed error messages.
  * Synchronized version of asdf.asd and asdf.lisp, automatically.

 -- Francois-Rene Rideau <fare@tunes.org>  Mon, 03 Jan 2011 06:59:17 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
   Francois-Rene Rideau <fare@tunes.org>
 Build-Depends: debhelper (>> 7)
 Build-Depends-Indep: texinfo, texlive-extra-utils, texlive, texlive-generic-recommended
-Standards-Version: 3.9.1
+Standards-Version: 3.9.1.0
 Homepage: http://common-lisp.net/project/asdf/
 Vcs-Git: git://git.debian.org/git/pkg-common-lisp/cl-asdf.git

=== debian/rules ===
#!/usr/bin/make -f
# MAde with the aid of dh_make, by Craig Small
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.
# Some lines taken from debmake, by Cristoph Lameter.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

build: build-stamp
build-stamp:
	dh_testdir
	make -C doc all
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	make -C doc veryclean
	dh_clean

# Build architecture-dependent files here.
binary-arch: build
# We have nothing to do by default.

# Build architecture-independent files here.
binary-indep: build
	dh_testdir -i
	dh_testroot -i
	dh_prep -i
	chmod +x test/run-tests.sh
	dh_installdirs -i
	dh_install -i
	#dh_lisp -i
	dh_installdocs -i
	dh_installinfo -i
	dh_installexamples -i
	dh_installchangelogs
	dh_link --verbose -i
	dh_strip -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_shlibdeps -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

source diff:
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary

## cl-asdf 2.015

=== Makefile ===
--- 
+++ 
@@ -1,16 +1,13 @@
 system	 	:= "asdf"
-#user 		:= $(shell basename `echo "$home"`)
-user := "frideau"
-webhome_private := $(user)@common-lisp.net:/project/asdf/public_html/
+webhome_private := common-lisp.net:/project/asdf/public_html/
 webhome_public	:= "http://common-lisp.net/project/asdf/"
 clnet_home      := "/project/asdf/public_html/"
-
 sourceDirectory := $(shell pwd)
 
-lisps ?= ccl clisp sbcl ecl allegro abcl scl
-## not tested by me: allegromodern cmucl lispworks
+lisps ?= ccl clisp sbcl ecl abcl xcl scl allegro
+## occasionally tested by not me: allegromodern cmucl lispworks
 ## FAIL: gclcvs (condition handling)
-## maybe supported by asdf, not supported yet by our tests: cormancl mcl genera
+## tentatively supported by asdf, not supported by our tests: cormancl mcl genera
 
 lisp ?= sbcl
 
@@ -26,7 +23,7 @@
 archive-copy: archive
 	git checkout release
 	bin/rsync-cp tmp/asdf*.tar.gz $(webhome_private)/archives
-	bin/link-tarball $(clnet_home) $(user)
+	bin/link-tarball $(clnet_home)
 	bin/rsync-cp tmp/asdf.lisp $(webhome_private)
 	${MAKE} push
 
@@ -64,6 +61,7 @@
 test-upgrade:
 	if [ -f /usr/lib/sbcl/sbcl-dist.core ] ; then \
 		SBCL="/usr/bin/sbcl --core /usr/lib/sbcl/sbcl-dist.core" ; fi ; \
+	mkdir -p tmp/ ; \
 	for tag in 1.37 1.97 1.369 `git tag -l '2.0??'` ; do \
 	  echo "Testing upgrade from ASDF $${tag}" ; \
 	  git show $${tag}:asdf.lisp > tmp/asdf-$${tag}.lisp ; \
@@ -79,22 +77,26 @@
 
 test: do-test test-forward-references
 
-test-all: test-forward-references test-upgrade
+do-test-all:
 	@for lisp in ${lisps} ; do \
 		make do-test lisp=$$lisp || exit 1 ; \
 	done
 
+test-all: test-forward-references test-upgrade do-test-all
+
+# Note that the debian git at git://git.debian.org/git/pkg-common-lisp/cl-asdf.git is stale,
+# as we currently build directly from upstream at git://common-lisp.net/projects/asdf/asdf.git
 debian-package: mrproper
-	RELEASE="$$(git tag -l '2.0[0-9][0-9]' | tail -n 1)" ; \
-	git-buildpackage --git-debian-branch=release --git-upstream-branch=$$RELEASE --git-tag --git-retag
+	: $${RELEASE:="$$(git tag -l '2.0[0-9][0-9]' | tail -n 1)"} ; \
+	git-buildpackage --git-debian-branch=release --git-upstream-branch=$$RELEASE --git-tag --git-retag --git-ignore-branch
 
 # Replace SBCL's ASDF with the current one.
-# not recommended: just use (asdf:load-system :asdf)
+# for casual users, just use (asdf:load-system :asdf)
 replace-sbcl-asdf:
 	sbcl --eval '(compile-file "asdf.lisp" :output-file (format nil "~Aasdf/asdf.fasl" (sb-int:sbcl-homedir-pathname)))' --eval '(quit)'
 
 # Replace CCL's ASDF with the current one.
-# not recommended: just use (asdf:load-system :asdf)
+# for casual users, just use (asdf:load-system :asdf)
 replace-ccl-asdf:
 	ccl --eval '(progn(compile-file "asdf.lisp" :output-file (format nil "~Atools/asdf.lx64fsl" (ccl::ccl-directory)))(quit))'
 
@@ -107,9 +109,13 @@
 fix-remote-git-tags:
 	for i in ${WRONGFUL_TAGS} ; do git push $${REMOTE:-cl.net} :refs/tags/$$i ; done
 
+TODO:
+	exit 2
+
+release: TODO test-all test-on-other-machines-too debian-changelog debian-package send-mail-to-mailing-lists
 
 .PHONY: install archive archive-copy push website clean mrproper \
-	upgrade-test test-forward-references test do-test test-all \
-	debian-package \
+	upgrade-test test-forward-references test do-test test-all do-test-all \
+	debian-package release \
 	replace-sbcl-asdf replace-ccl-asdf \
 	fix-local-git-tags fix-remote-git-tags

=== debian/changelog ===
cl-asdf (2:2.015-1) unstable; urgency=low

  Promoting 2.014.17 as 2.015. Since 2.014, we have the following improvements:
  * Portability: support cormanlisp, xcl;
    fixes for cmucl, ecl; tweaks for abcl, allegro, clisp, genera, lispworks.
  * Feature: un-cerror and actually fix the :force '(sys1 sys2 sys3) feature,
    introduced in 2002 and never working before.
  * Feature: classes asdf:cl-source-file.cl and asdf:cl-source-file.lsp
    for people who use these file type extensions.
  * Semantic change: the source-registry eagerly gathers a list of .asd,
    rather than querying the filesystem over and over again.
  * API change: exposing function asdf:search-for-system-definition as looking
    through asdf:*system-definition-search-functions* for either pathnames *or*
    (new feature) system objects. Should make quicklisp happier.
  * Better support for asdf upgrading itself, with new function
    asdf:upgrade-asdf that knows to invalidate old systems when necessary,
    and is magically invoked before to build any system that :depends-on asdf.
    Make upgrade smoother some cases that were previously broken.
  * More robust handling of version strings.
  * Declaring function asdf:system-definition-pathname obsolete, but still
    supporting it for now, as an alias for asdf:system-source-file.
  * Various refactorings of internals. Splitting a function asdf::perform-plan
    out of the default asdf:operate method.
    asdf::register-system now takes only one argument.
  * Tests to prevent the regressions experienced during this development cycle
  * Tried and reverted: attempts to make asdf more verbose when it's verbose,
    but not verbose by default.

 -- Francois-Rene Rideau <fare@tunes.org>  Sat, 07 May 2011 14:34:40 -0400

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 Build-Depends-Indep: texinfo, texlive-extra-utils, texlive, texlive-generic-recommended
 Standards-Version: 3.9.1.0
 Homepage: http://common-lisp.net/project/asdf/
-Vcs-Git: git://git.debian.org/git/pkg-common-lisp/cl-asdf.git
+Vcs-Git: git://common-lisp.net/projects/asdf/asdf.git
 
 Package: cl-asdf
 Architecture: all

## cl-asdf 2.016

=== Makefile ===
--- 
+++ 
@@ -38,7 +38,7 @@
 	make -C doc website
 
 clean_dirs = $(sourceDirectory)
-clean_extensions = fasl dfsl cfsl fasl fas lib dx32fsl lx64fsl lx32fsl o bak x86f
+clean_extensions = fasl dfsl cfsl fasl fas lib dx32fsl lx64fsl lx32fsl ufasl o bak x86f
 
 clean:
 	@for dir in $(clean_dirs); do \
@@ -62,12 +62,22 @@
 	if [ -f /usr/lib/sbcl/sbcl-dist.core ] ; then \
 		SBCL="/usr/bin/sbcl --core /usr/lib/sbcl/sbcl-dist.core" ; fi ; \
 	mkdir -p tmp/ ; \
+        fa=tmp/fasls/sbcl/upasdf.fasl ; \
+        ll="(handler-bind ((sb-kernel:redefinition-warning #'muffle-warning)) (load \"asdf.lisp\"))" ; \
+	cf="(handler-bind ((warning #'muffle-warning)) (compile-file \"asdf.lisp\" :output-file \"$$fa\" :verbose nil :print nil))" ; \
+        lf="(handler-bind ((sb-kernel:redefinition-warning #'muffle-warning)) (load \"$$fa\"))" ; \
+        te="(quit-on-error $$l (push #p\"${sourceDirectory}/test/\" asdf:*central-registry*) (asdf:oos 'asdf:load-op :test-module-depend :verbose nil))" ; \
+        sb="$${SBCL:-sbcl} --noinform --load test/script-support" ; \
 	for tag in 1.37 1.97 1.369 `git tag -l '2.0??'` ; do \
+	  lo="(handler-bind ((warning #'muffle-warning)) (load \"tmp/asdf-$${tag}.lisp\"))" ; \
 	  echo "Testing upgrade from ASDF $${tag}" ; \
 	  git show $${tag}:asdf.lisp > tmp/asdf-$${tag}.lisp ; \
-	  $${SBCL:-sbcl} --noinform --eval \
-	'(progn (handler-bind ((t #'"'"'muffle-warning)) (load "tmp/asdf-'$${tag}'.lisp")) (handler-bind ((sb-kernel:redefinition-warning #'"'"'muffle-warning)((or warning error) (lambda (c) (format t "~A~%" c) #|(defparameter *c* c) (break)|# (sb-ext:quit :unix-status 1)))) (load "asdf.lisp") (format t "Successfully upgraded from '$${tag}'~%") (sb-ext:quit :unix-status 0)))' || \
-	{ echo "FAILED" ; exit 1 ; } ; done
+          rm -f $$fa ; \
+          ( set -x ; $$sb --eval "$$lo" --eval "$$ll" --eval "$$te" && \
+          $$sb --eval "$$lo" --eval "$$cf" --eval "$$lf" --eval "$$te" && \
+          $$sb --eval "$$lo" --eval "$$lf" --eval "$$te" && \
+          $$sb --eval "$$lf" --eval "$$te" ) || { echo "upgrade FAILED" ; exit 1 ;}; \
+        done
 
 test-forward-references:
 	if [ -f /usr/lib/sbcl/sbcl-dist.core ] ; then SBCL="/usr/bin/sbcl --core /usr/lib/sbcl/sbcl-dist.core" ; fi ; $${SBCL:-sbcl} --noinform --load ~/cl/asdf/asdf.lisp --eval '(sb-ext:quit)' 2>&1 | cmp - /dev/null

## cl-asdf 2.017

=== Makefile ===
--- 
+++ 
@@ -4,9 +4,9 @@
 clnet_home      := "/project/asdf/public_html/"
 sourceDirectory := $(shell pwd)
 
-lisps ?= ccl clisp sbcl ecl abcl xcl scl allegro
-## occasionally tested by not me: allegromodern cmucl lispworks
-## FAIL: gclcvs (condition handling)
+lisps ?= ccl clisp sbcl ecl cmucl abcl scl allegro
+## occasionally tested by not me: allegromodern lispworks xcl
+## FAIL: gclcvs (COMPILER BUGS!!!)
 ## tentatively supported by asdf, not supported by our tests: cormancl mcl genera
 
 lisp ?= sbcl
@@ -26,6 +26,7 @@
 	bin/link-tarball $(clnet_home)
 	bin/rsync-cp tmp/asdf.lisp $(webhome_private)
 	${MAKE} push
+	git checkout master
 
 push:
 	git status
@@ -34,8 +35,11 @@
 	git fetch
 	git status
 
+doc:
+	${MAKE} -C doc
+
 website:
-	make -C doc website
+	${MAKE} -C doc website
 
 clean_dirs = $(sourceDirectory)
 clean_extensions = fasl dfsl cfsl fasl fas lib dx32fsl lx64fsl lx32fsl ufasl o bak x86f
@@ -53,7 +57,7 @@
 	     fi; \
 	done
 	rm -rf tmp/ LICENSE test/try-reloading-dependency.asd
-	make -C doc clean
+	${MAKE} -C doc clean
 
 mrproper: clean
 	rm -rf .pc/ build-stamp debian/patches/ debian/debhelper.log debian/cl-asdf/ # debian crap
@@ -61,7 +65,7 @@
 test-upgrade:
 	if [ -f /usr/lib/sbcl/sbcl-dist.core ] ; then \
 		SBCL="/usr/bin/sbcl --core /usr/lib/sbcl/sbcl-dist.core" ; fi ; \
-	mkdir -p tmp/ ; \
+	mkdir -p tmp/fasls/sbcl/ ; \
         fa=tmp/fasls/sbcl/upasdf.fasl ; \
         ll="(handler-bind ((sb-kernel:redefinition-warning #'muffle-warning)) (load \"asdf.lisp\"))" ; \
 	cf="(handler-bind ((warning #'muffle-warning)) (compile-file \"asdf.lisp\" :output-file \"$$fa\" :verbose nil :print nil))" ; \
@@ -83,16 +87,16 @@
 	if [ -f /usr/lib/sbcl/sbcl-dist.core ] ; then SBCL="/usr/bin/sbcl --core /usr/lib/sbcl/sbcl-dist.core" ; fi ; $${SBCL:-sbcl} --noinform --load ~/cl/asdf/asdf.lisp --eval '(sb-ext:quit)' 2>&1 | cmp - /dev/null
 
 do-test:
-	@cd test; make clean;./run-tests.sh ${lisp} ${test-glob}
+	@cd test; ${MAKE} clean;./run-tests.sh ${lisp} ${test-glob}
 
-test: do-test test-forward-references
+test: do-test test-forward-references doc
 
 do-test-all:
 	@for lisp in ${lisps} ; do \
-		make do-test lisp=$$lisp || exit 1 ; \
+		${MAKE} do-test lisp=$$lisp || exit 1 ; \
 	done
 
-test-all: test-forward-references test-upgrade do-test-all
+test-all: test-forward-references doc test-upgrade do-test-all
 
 # Note that the debian git at git://git.debian.org/git/pkg-common-lisp/cl-asdf.git is stale,
 # as we currently build directly from upstream at git://common-lisp.net/projects/asdf/asdf.git
@@ -100,17 +104,17 @@
 	: $${RELEASE:="$$(git tag -l '2.0[0-9][0-9]' | tail -n 1)"} ; \
 	git-buildpackage --git-debian-branch=release --git-upstream-branch=$$RELEASE --git-tag --git-retag --git-ignore-branch
 
-# Replace SBCL's ASDF with the current one.
+# Replace SBCL's ASDF with the current one. -- Not recommended now that SBCL has ASDF2.
 # for casual users, just use (asdf:load-system :asdf)
 replace-sbcl-asdf:
 	sbcl --eval '(compile-file "asdf.lisp" :output-file (format nil "~Aasdf/asdf.fasl" (sb-int:sbcl-homedir-pathname)))' --eval '(quit)'
 
-# Replace CCL's ASDF with the current one.
+# Replace CCL's ASDF with the current one. -- Not recommended now that CCL has ASDF2.
 # for casual users, just use (asdf:load-system :asdf)
 replace-ccl-asdf:
 	ccl --eval '(progn(compile-file "asdf.lisp" :output-file (format nil "~Atools/asdf.lx64fsl" (ccl::ccl-directory)))(quit))'
 
-WRONGFUL_TAGS := 1.1720 README RELEASE STABLE
+WRONGFUL_TAGS := 1.37 1.1720 README RELEASE STABLE
 # Delete wrongful tags from local repository
 fix-local-git-tags:
 	for i in ${WRONGFUL_TAGS} ; do git tag -d $$i ; done
@@ -119,13 +123,21 @@
 fix-remote-git-tags:
 	for i in ${WRONGFUL_TAGS} ; do git push $${REMOTE:-cl.net} :refs/tags/$$i ; done
 
+release-push:
+	git checkout master
+	git merge release
+	git checkout release
+	git merge master
+	git checkout master
+
 TODO:
 	exit 2
 
 release: TODO test-all test-on-other-machines-too debian-changelog debian-package send-mail-to-mailing-lists
 
-.PHONY: install archive archive-copy push website clean mrproper \
+.PHONY: install archive archive-copy push doc website clean mrproper \
 	upgrade-test test-forward-references test do-test test-all do-test-all \
+	test-upgrade test-forward-references \
 	debian-package release \
 	replace-sbcl-asdf replace-ccl-asdf \
 	fix-local-git-tags fix-remote-git-tags

=== debian/changelog ===
cl-asdf (2:2.017-1) unstable; urgency=low

  Promoting 2.016.3 as 2.017. Since 2.016, we have the following improvements:
  * ABCL: jar translation happier with recent compile-file-pathname* change.
  * CCL: see truenamize change below.
  * GCL: vain partially reverted attempts at making GCL 2.6 and 2.7 fail less.
  * LispWorks: use probe-file for probe-file*
  * RMCL: location strings are now POSIX namestrings.
    You can thus share configuration files and environment variables
    between RMCL and other Lisp implementations on same host.
    Use #p"" syntax when you insist on using MacOS 9 style MCL pathnames.
  * truenamize: happier when e.g. the *default-pathname-defaults* is #p"",
    which is the case notably on CCL.
  * Logical pathnames: now preserved by the source-registry's tree directive.
  * Upgrade: instead of unintern'ing symbols, use fmakunbound;
    however, treat compilation of asdf specially, by always making sure
    it is loaded as source before it is compiled,
    so that compilation is never an upgrade and never calls fmakunbound, thus
    ensuring functions in the continuation of compilation are always fbound.
  * Obsolete: dropped support for *system-cache* and get-uid.
  * Internals: refactored resolve-relative-location-component.
  * Documentation: update wrt to the location DSL.

 -- Francois-Rene Rideau <fare@tunes.org>  Tue, 26 Jul 2011 12:52:49 -0400

cl-asdf (2:2.016-1) unstable; urgency=low

  Promoting 2.015.12 as 2.016. Since 2.015, we have the following improvements:
  * Portability: fixes for ECL, RMCL, CLISP.
    Improvements to Windows configuration.
  * Fix to load-source-op (broken in 2.014.13).
  * Avoid infinite loops in defsystem in cases of bad interference
    between quicklisp and your source-registry.
  * Small fixes regarding upgrade, compile-file* :output-file.
  * Make defsystem-depends-on much more useful by allowing a system
    thus depended on to define the class of the system depending on it.
  * Some documentation updates.
    Notably, for the sake of CLISP, (require "asdf") is the new canonical way
    to load ASDF, instead of (require :asdf). Sigh.
  * Better tests, notably wrt hot upgrade.

 -- Francois-Rene Rideau <fare@tunes.org>  Tue, 07 Jun 2011 17:46:15 -0400

## cl-asdf 2.20

=== Makefile ===
system	 	:= "asdf"
webhome_private := common-lisp.net:/project/asdf/public_html/
webhome_public	:= "http://common-lisp.net/project/asdf/"
clnet_home      := "/project/asdf/public_html/"
sourceDirectory := $(shell pwd)

ifdef ASDF_TEST_LISPS
lisps ?= ${ASDF_TEST_LISPS}
else
lisps ?= ccl clisp sbcl ecl cmucl abcl scl allegro
endif

## MINOR FAIL: ecl-bytecodes (failure in test-compile-file-failure.script)
## MINOR FAIL: xcl (logical pathname issue in asdf-pathname-test.script)
## OCCASIONALLY TESTED BY NOT ME: allegromodern (not in my free demo version)
## OCCASIONALLY TESTED BY NOT ME: lispworks (testing requires Pro version)
## MAJOR FAIL: gclcvs -- COMPILER BUG! Upstream fixed it, but it won't compile for me.
## NOT SUPPORTED BY OUR TESTS: cormancl genera rmcl. Manually tested once in a while.

lisp ?= sbcl

CCL ?= ccl
CLISP ?= clisp
SBCL ?= sbcl
ECL ?= ecl
CMUCL ?= cmucl
ABCL ?= abcl
SCL ?= scl
ALLEGRO ?= alisp
ALLEGROMODERN ?= mlisp

# website, tag, install

install: archive-copy

archive:
	${SBCL} --userinit /dev/null --sysinit /dev/null --load bin/make-helper.lisp \
		--eval "(rewrite-license)" --eval "(quit)"
	bin/make-tarball

archive-copy: archive
	git checkout release
	bin/rsync-cp tmp/asdf*.tar.gz $(webhome_private)/archives
	bin/link-tarball $(clnet_home)
	bin/rsync-cp tmp/asdf.lisp $(webhome_private)
	${MAKE} push
	git checkout master

push:
	git status
	git push --tags cl.net release master
	git fetch
	git status

doc:
	${MAKE} -C doc

website:
	${MAKE} -C doc website

clean_dirs = $(sourceDirectory)
clean_extensions = fasl dfsl cfsl fasl fas lib dx32fsl lx64fsl lx32fsl ufasl o bak x86f vbin amd64f sparcf sparc64f hpf hp64f

clean:
	@for dir in $(clean_dirs); do \
	     if test -d $$dir; then \
	     	 echo Cleaning $$dir; \
		 for ext in $(clean_extensions); do \
		     find $$dir \( -name "*.$$ext" \) \
	     	    -and -not -path \""*/.git/*"\" \
		     	  -and -not -path \""*/_darcs/*"\" \
	     		  -and -not -path \""*/tags/*"\" -print -delete; \
		done; \
	     fi; \
	done
	rm -rf tmp/ LICENSE test/try-reloading-dependency.asd
	${MAKE} -C doc clean

mrproper: clean
	rm -rf .pc/ build-stamp debian/patches/ debian/debhelper.log debian/cl-asdf/ # debian crap

test-upgrade:
	mkdir -p tmp/fasls/${lisp} ; \
	fa=tmp/fasls/sbcl/upasdf.fasl ; \
	ll="(handler-bind (#+sbcl (sb-kernel:redefinition-warning #'muffle-warning)) (format t \"ll~%\") (load \"asdf.lisp\"))" ; \
	cf="(handler-bind ((warning #'muffle-warning)) (format t \"cf~%\") (compile-file \"asdf.lisp\" :output-file \"$$fa\" :verbose t :print t))" ; \
	lf="(handler-bind (#+sbcl (sb-kernel:redefinition-warning #'muffle-warning)) (format t \"lf\") (load \"$$fa\" :verbose t :print t))" ; \
	te="(quit-on-error $$l (push #p\"${sourceDirectory}/test/\" asdf:*central-registry*) (princ \"te\") (asdf:oos 'asdf:load-op :test-module-depend :verbose t))" ; \
	use_ccl () { li="${CCL} --no-init --quiet --load" ; ev="--eval" ; } ; \
	use_clisp () { li="${CLISP} -norc -ansi --quiet --quiet -i" ; ev="-x" ; } ; \
	use_sbcl () { li="${SBCL} --noinform --no-userinit --load" ; ev="--eval" ; } ; \
	use_ecl () { li="${ECL} -norc -load" ; ev="-eval" ; } ; \
	use_cmucl () { li="${CMUCL} -noinit -load" ; ev="-eval" ; } ; \
	use_abcl () { li="${ABCL} --noinit --nosystem --noinform --load" ; ev="--eval" ; } ; \
	use_scl () { li="${SCL} -noinit -load" ; ev="-eval" ; } ; \
	use_allegro () { li="${ALLEGRO} -q -L" ; ev="-e" ; } ; \
	use_allegromodern () { li="${ALLEGROMODERN} -q -L" ; ev="-e" ; } ; \
	su=test/script-support ; \
	for tag in 1.37 1.97 1.369 `git tag -l '2.0??'` ; do \
	  use_${lisp} ; \
	  lo="(handler-bind ((warning #'muffle-warning)) (load \"tmp/asdf-$${tag}.lisp\"))" ; \
	  echo "Testing upgrade from ASDF $${tag}" ; \
	  git show $${tag}:asdf.lisp > tmp/asdf-$${tag}.lisp ; \
	  rm -f $$fa ; lv="$$li $$su $$ev" ; \
	  case ${lisp}:$$tag in \
	    ecl:2.00[0-9]|ecl:2.01[0-6]) : Skip, because of get-uid ugliness ;; *) \
	  ( set -x ; $$lv "$$lo" $$ev "$$ll" $$ev "$$te" && \
	    $$lv "$$lo" $$ev "$$ll" $$ev "$$cf" $$ev "$$lf" $$ev "$$te" && \
	    $$lv "$$lo" $$ev "$$lf" $$ev "$$te" && \
	    $$lv "$$lf" $$ev "$$te" ) || { echo "upgrade FAILED" ; exit 1 ;} \
	  ;; esac ; \
	done

test-forward-references:
	${SBCL} --noinform --no-userinit --no-sysinit --load asdf.lisp --eval '(sb-ext:quit)' 2>&1 | cmp - /dev/null

test-lisp:
	@cd test; ${MAKE} clean;./run-tests.sh ${lisp} ${test-glob}

test: test-lisp test-forward-references doc

test-all-lisps:
	@for lisp in ${lisps} ; do \
		${MAKE} test-lisp test-upgrade lisp=$$lisp || exit 1 ; \
	done

# test upgrade is a very long run... This does just the regression tests
test-all-noupgrade:
	@for lisp in ${lisps} ; do \
		${MAKE} test-lisp lisp=$$lisp || exit 1 ; \
	done

test-all: test-forward-references doc test-all-lisps

# Note that the debian git at git://git.debian.org/git/pkg-common-lisp/cl-asdf.git is stale,
# as we currently build directly from upstream at git://common-lisp.net/projects/asdf/asdf.git
debian-package: mrproper
	: $${RELEASE:="$$(git tag -l '2.0[0-9][0-9]' | tail -n 1)"} ; \
	git-buildpackage --git-debian-branch=release --git-upstream-branch=$$RELEASE --git-tag --git-retag --git-ignore-branch

# Replace SBCL's ASDF with the current one. -- Not recommended now that SBCL has ASDF2.
# for casual users, just use (asdf:load-system :asdf)
replace-sbcl-asdf:
	${SBCL} --eval '(compile-file "asdf.lisp" :output-file (format nil "~Aasdf/asdf.fasl" (sb-int:sbcl-homedir-pathname)))' --eval '(quit)'

# Replace CCL's ASDF with the current one. -- Not recommended now that CCL has ASDF2.
# for casual users, just use (asdf:load-system :asdf)
replace-ccl-asdf:
	${CCL} --eval '(progn(compile-file "asdf.lisp" :output-file (compile-file-pathname (format nil "~Atools/asdf.lisp" (ccl::ccl-directory))))(quit))'

WRONGFUL_TAGS := 1.37 1.1720 README RELEASE STABLE
# Delete wrongful tags from local repository
fix-local-git-tags:
	for i in ${WRONGFUL_TAGS} ; do git tag -d $$i ; done

# Delete wrongful tags from remote repository
fix-remote-git-tags:
	for i in ${WRONGFUL_TAGS} ; do git push $${REMOTE:-cl.net} :refs/tags/$$i ; done

release-push:
	git checkout master
	git merge release
	git checkout release
	git merge master
	git checkout master

TODO:
	exit 2

release: TODO test-all test-on-other-machines-too debian-changelog debian-package send-mail-to-mailing-lists

.PHONY: install archive archive-copy push doc website clean mrproper \
	upgrade-test test-forward-references test test-lisp test-upgrade test-forward-references \
	test-all test-all-lisps test-all-noupgrade \
	debian-package release \
	replace-sbcl-asdf replace-ccl-asdf \
	fix-local-git-tags fix-remote-git-tags

=== debian/changelog ===
cl-asdf (2:2.20-1) unstable; urgency=low

  [ Aron Xu ]
  * Team upload for new upstream release.
  * Clean up unneeded debian/patches.

  [ Francois-Rene Rideau ]
  * Portability: support the new CCL fasl numbering API
  * Bug fixes: handle various configuration corner cases better
   (thanks to Sergey Katrevich and Rupert Warwick).
  * Feature: Robert Goldman fixed and documented WEAKLY-DEPENDS-ON.

 -- Aron Xu <aron@debian.org>  Thu, 02 Feb 2012 00:29:03 +0800

cl-asdf (2:2.019-1) unstable; urgency=low

  * UI: Create and use a load-systems abstraction,
   in view of using it in a system-granular parallelizing backend. (.15)
  * Usability: when a system can't be found, there's now a restart to retry
   finding a system after reinitializing the source-registry (.10).
  * Feature: :around-compile now accepts lambda expressions, and also strings,
   so you can specify future wrappers that can't even be read yet. (.11, .12).
  * Filesystem: recursing through logical pathnames in LispWorks (.2, .3),
   on SBCL as on CMUCL, have asdf:subdirectories follow symlinks (.8., .9)
  * Configuration: modify user-configuration-directories and
   system-configuration-directories to return all valid directory names
   even when they don't exist yet so you may create them (.6), also output
   name of non-existing configuration file when opening them for writing (.7),
  * Internals: strcat (.5), split locate-systems from find-systems (.6)
  * Portability: Debugged CormanLisp support (.1).
   Fix type declaration for SCL (.17).
  * Bug fix: don't drop pathname components without a / at the end
   when reading a path using GETENV (.18). (Bug from 2.017.27)
  Closes: #647544.
  * Bug fix: don't redefine reinitialize-instance in ways that break
   its contract and its clients (such as asdf-dependency-grovel).
   Use change-class to reset slots (.16), but not to 'standard-object,
   which breaks ecl, rather to a proto-system class (.19), and not
   using keys with breaks genera (.21). (Bug from 2.017.3)
  * Bug fix: buglet in maybe-add-tree (.4)
  * Upgrade: unintern internals of signature changed in 2.017.12 (.13),
   have *system-definition-search-functions* not be a defparameter,
   but a defvar with a fixup (.14), clear *systems-being-defined* when
   upgrading asdf but re-find them immediately because they may be needed
   as part of a higher operation (.14).
   Unintern some more functions that have changed signature (.20).

 -- Francois-Rene Rideau <fare@tunes.org>  Sun, 27 Nov 2011 16:09:42 -0500

cl-asdf (2:2.018-1) unstable; urgency=low

  Bugs:
  * Solved a bug due to ASDF reusing components even when the ASDF definition
    has changed wildly, leading to bad behavior in incremental compilation
    and sometimes total failure of compilation of a new version.
    (Thanks to Xach for reporting and RPGoldman for fixing.)
  * Fix an issue with ASDF doing the wrong thing in case of a clock skew,
    thanks to Andreas Fuchs.
  * Simplification of the internals of perform-with-restarts and
   traverse's do-dep, that should fix some corner cases and make it
   easier to extend or further fix. There scarily doesn't remain
   any unedited code from Dan Barlow's original ASDF, though
   much of the interface design is preserved.
  * Upgrade code slightly simplified, with a particular fix for CLISP;
   it is now tested on all supported implementations, not just SBCL.
  * Improvements to tests and documentation.

  Portability:
  * Many implementation specific improvements for ECL:
   merge with the ECL upstream version, support for the bytecode compiler.
  * Because it is required at least on ABCL, made the Unix vs Windows detection
   a runtime rather than compile-time distinction
   No more asdf-unix or asdf-windows feature, but
   (asdf::os-unix-p) and (asdf::os-windows-p) functions (not exported for now).
   Also recognize darwin as Unix ECL.
  * Also small improvements for SCL.

  Features:
  * Bind *default-pathname-defaults* around load-sysdef,
   to increase chances of successful pathname parsing in defsystem.
  * Fixed run-shell-command on allegro/unix and clisp,
   documented the function, noted how it mightn't do what you think on Windows,
   marked it as obsolete, promoted as an official replacement my new
       xcvb-driver:run-program/process-output-stream
  * New :around-compile hook so you can control the syntax, optimization,
   and warning level, rename packages and balance compile-time side-effects,
   etc., around the compilation of files in your own modules.
  * Now exporting function subpathname, to portably make subpathnames.

 -- Francois-Rene Rideau <fare@tunes.org>  Sat, 29 Oct 2011 12:46:22 -0400
